const data = {
  labels: [
    'Jan',
    'Feb',
    'Mar',
    'Apr',
    'May',
    'Jun',
    'Jul',
    'Aug',
    'Sep',
    'Oct',
    'Nov',
    'Dec',
  ], // Months
  datasets: [
    {
      label: '2020',
      backgroundColor: gradientColor(
        'rgba(255, 99, 132, 0.2)',
        'rgba(255, 99, 132, 0.8)',
      ),
      borderColor: 'rgba(255, 99, 132, 1)',
      borderWidth: 1,
      data: [
        30,
        31,
        32,
        33,
        34,
        35,
        36,
        36,
        35,
        34,
        32,
        31, // Temperature data for 2020 in Celsius
      ],
    },
    {
      label: '2021',
      backgroundColor: gradientColor(
        'rgba(54, 162, 235, 0.2)',
        'rgba(54, 162, 235, 0.8)',
      ),
      borderColor: 'rgba(54, 162, 235, 1)',
      borderWidth: 1,
      data: [
        31,
        32,
        33,
        34,
        35,
        36,
        37,
        37,
        36,
        35,
        33,
        32, // Temperature data for 2021 in Celsius
      ],
    },
    {
      label: '2022',
      backgroundColor: gradientColor(
        'rgba(255, 206, 86, 0.2)',
        'rgba(255, 206, 86, 0.8)',
      ),
      borderColor: 'rgba(255, 206, 86, 1)',
      borderWidth: 1,
      data: [
        29,
        30,
        31,
        32,
        33,
        34,
        35,
        35,
        34,
        33,
        31,
        30, // Temperature data for 2022 in Celsius
      ],
    },
  ],
};

// Function to generate gradient color
function gradientColor(startColor, endColor) {
  var ctx = document
    .createElement('canvas')
    .getContext('2d');
  var gradient = ctx.createLinearGradient(0, 0, 0, 400);
  gradient.addColorStop(0, startColor);
  gradient.addColorStop(1, endColor);
  return gradient;
}

// Configuration options with tooltips, legend, and zoom
const config = {
  type: 'line',
  data: data,
  options: {
    plugins: {
      title: {
        display: true,
        text: 'Variation of Temperature over Months and Years in Bangalore',
      },
      tooltip: {
        enabled: true,
        intersect: false,
      },
      legend: {
        display: true,
        position: 'bottom',
      },
      zoom: {
        zoom: {
          wheel: {
            enabled: true,
          },
          pinch: {
            enabled: true,
          },
          mode: 'xy',
        },
      },
    },
    scales: {
      x: {
        title: {
          display: true,
          text: 'Month',
        },
      },
      y: {
        title: {
          display: true,
          text: 'Temperature',
        },
      },
    },
    elements: {
      line: {
        fill: true,
      },
    },
  },
};

// Create the chart
var myChart = new Chart('myChart', config);
